enum SyncStatus {
  dirty("dirty"),
  syncing('syncing'),
  synced('synced'),
  failed('failed');

  final String status;
  const SyncStatus(this.status);
}

enum SyncAction {
  create('create'),
  update('update'),
  delete('delete'),
  update_or_create('update_or_create'),
  bulk_update('bulk_update');

  final String action;

  const SyncAction(this.action);
}